Bug 214025 - Review Request: Tracker - An object database, tag/metadata database, search tool and indexer
Review Request: Tracker - An object database, tag/metadata database, search ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Package Reviews List
:
Depends On: 214112
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-04 15:23 EST by Deji Akingunola
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-10 02:03:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Diff to tracker.spec (3.37 KB, patch)
2006-11-04 18:14 EST, Michel Alexandre Salim
no flags Details | Diff
New tracker.spec (2.61 KB, text/plain)
2006-11-04 18:15 EST, Michel Alexandre Salim
no flags Details

  None (edit)
Description Deji Akingunola 2006-11-04 15:23:03 EST
Spec URL: ftp://czar.eas.yorku.ca/pub/tracker/tracker.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/tracker/tracker-0.5.0-1.src.rpm
Description: Tracker is a powerful desktop-neutral first class object database, tag/metadata database, search tool and indexer. 

Tracker is also extremely fast and super efficient with your systems memory when
compared with some other competing frameworks and is by far the fastest and most
memory efficient Nautilus search and Deskbar backends currently availble.

It consists of a common object database that allows entities to have an almost
infinte number of properties, metadata (both embedded/harvested as well as user
definable), a comprehensive database of keywords/tags and links to other entities.

It provides additional features for file based objects including context linking
and audit trails for a file object.

It has the ability to index, store, harvest metadata. retrieve and search all 
types of files and other first class objects.
Comment 1 Michel Alexandre Salim 2006-11-04 17:17:13 EST
Where did you get tracker 0.5.0 from? Upstream has only 0.0.4, and the URL
listed in the spec file does not work.
Comment 2 Michel Alexandre Salim 2006-11-04 17:20:49 EST
Uh, nevermind, I typed in 0.0.5 by mistake. Jamie really should update the
Tracker website as well.
Comment 3 Aurelien Bompard 2006-11-04 17:58:44 EST
I had started to review it, but if you want to do it, here's what I found out so
far:

Needs work:
* Missing SMP flags. If it doesn't build with it, please add a comment
  (wiki: PackagingGuidelines#parallelmake)
* Build failed in mock. Missing BR: pango-devel, dbus-devel, dbus-glib
* Missing BR for metadata extractors : libgnomeui-devel, gnome-vfs2-devel,
gnome-desktop-devel, poppler, libvorbis-devel, libpng-devel, libexif-devel,
libgsf-devel

Possible improvements :
* Have trackerd start on login with a desktop file in
/usr/share/gnome/autostart/ (GNOME) and in /usr/share/autostart/ (KDE)
Is there a freedesktop spec for this by the way ?
Comment 4 Michel Alexandre Salim 2006-11-04 18:14:12 EST
Created attachment 140370 [details]
Diff to tracker.spec

Weird, the package I downloaded has libexif-devel, libgsf-devel etc. as
BuildRequires. pango-devel is not required as it's pulled in by
gnome-desktop-devel.

Missing BuildRequires:
dbus-devel dbus-glib-devel gnome-utils-devel libpng-devel openssl-devel

Description has some misspelled words, and summary should not end in '.'; also,
since libraries are included you need to call ldconfig on %post and %postun

Do we want to split the libraries into separate packages?

Actually, Aurelien, you can take over the review if you want. I'm less familiar
with autostarting.
Comment 5 Michel Alexandre Salim 2006-11-04 18:15:08 EST
Created attachment 140371 [details]
New tracker.spec
Comment 6 Deji Akingunola 2006-11-04 18:25:42 EST
(In reply to comment #3)
> I had started to review it, but if you want to do it, here's what I found out so
> far:
> 
> Needs work:
> * Missing SMP flags. If it doesn't build with it, please add a comment
>   (wiki: PackagingGuidelines#parallelmake)
> * Build failed in mock. Missing BR: pango-devel, dbus-devel, dbus-glib
> * Missing BR for metadata extractors : libgnomeui-devel, gnome-vfs2-devel,
> gnome-desktop-devel, poppler, libvorbis-devel, libpng-devel, libexif-devel,
> libgsf-devel
>
Really me culpa. After I initially uploaded the src.rpm, I realized I had not
tested it in mock, so I quickly updated the files (without bumping the version)
thinking no one is reviewing yet.
Updated files are here;
  Spec URL: ftp://czar.eas.yorku.ca/pub/tracker/tracker.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/tracker/tracker-0.5.0-2.src.rpm

Comment 7 Deji Akingunola 2006-11-04 19:04:35 EST
(In reply to comment #4)
> Created an attachment (id=140370) [edit]
> Diff to tracker.spec
> 
> Weird, the package I downloaded has libexif-devel, libgsf-devel etc. as
> BuildRequires. pango-devel is not required as it's pulled in by
> gnome-desktop-devel.
> 
> Missing BuildRequires:
> dbus-devel dbus-glib-devel gnome-utils-devel libpng-devel openssl-devel
>

Most of these are already pulled in by other dependencies. But why is
gnome-utils-devel and openssl-devel needed, I can't find anything in the
configure log that that suggest they are 
 
> Description has some misspelled words, and summary should not end in '.'; also,

Gone thru and corrected a bunch (I had copied it directly from the README).

> since libraries are included you need to call ldconfig on %post and %postun
>

Done. 

> Do we want to split the libraries into separate packages?
> 
> Actually, Aurelien, you can take over the review if you want. I'm less familiar
> with autostarting.
>
I've also commented the build fails with the smp flags.
I'll work on the autostarting stuff tomorrow.

Thanks for reviewing. 

Comment 8 Michel Alexandre Salim 2006-11-04 20:57:03 EST
I found them by calling ./configure --help and looking at the options that can
be specified. It's probably not accurate, since it missed certain things that
configure actually checks for. Will look at it again tomorrow.
Comment 9 Aurelien Bompard 2006-11-05 10:01:00 EST
According to
http://standards.freedesktop.org/autostart-spec/autostart-spec-latest.html the
directory for autostarting applications is /etc/xdg/autostart. You have to put a
desktop file in it.

On my computer, tracker starts up and indexes stuff. When I search using
tracker-search, it gives some results, but sometimes it gives no results when
I'm searching for something I know I have. Any idea why ?
Comment 10 Ron Yorston 2006-11-05 12:46:14 EST
mikmod obsoletes tracker.  Has done since it was introduced in Red Hat 5.2.
Comment 11 Aurelien Bompard 2006-11-05 13:02:21 EST
Good catch ! A bug should be filled against mikmod and the obsoletes removed IMHO.
Comment 12 Aurelien Bompard 2006-11-05 13:43:27 EST
OK, I found this mail :
http://mail.gnome.org/archives/tracker-list/2006-November/msg00001.html which
explains my bug. FC-5 sqlite is not compiled with --enable-threadsafe, while
FC-6 sqlite is.
Comment 13 Matthias Clasen 2006-11-05 13:47:13 EST
i'd leave the advertisement (the complete second paragraph) out of the deskcription.
Comment 14 Deji Akingunola 2006-11-05 15:41:54 EST
I've included an autostart desktop file and took care of comment #13; new src
rpm are at:
Spec URL: ftp://czar.eas.yorku.ca/pub/tracker/tracker.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/tracker/tracker-0.5.0-4.src.rpm

PS: Also filled a bug against mikmod obsoleting tracker and making this depend
on it.
Comment 15 Aurelien Bompard 2006-11-05 18:27:54 EST
There is no gnome-utils-devel on FC5, could you replace its requirement with
something like :
%if "%fedora" >= "6"
BuildRequires: gnome-utils-devel
%else
BuildRequires: dbus-devel, dbus-glib
%endif

On the other hand, I'm not sure gnome-utils is of any use for building tracker.
It only seem to appears in src/tracker-search-tool/tracker-search-tool.c
Comment 16 Deji Akingunola 2006-11-05 20:00:01 EST
(In reply to comment #15)
> There is no gnome-utils-devel on FC5, could you replace its requirement with

That's a mistake actually, I didn't intend to have BR on gnome-utils-devel and
openssl-devel as I don't think they are needed. Corrected with these,
Spec URL: ftp://czar.eas.yorku.ca/pub/tracker/tracker.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/tracker/tracker-0.5.0-5.src.rpm
Comment 17 Aurelien Bompard 2006-11-06 03:57:00 EST
You need to BuildRequire dbus-devel and dbus-glib. They are checked by
./configure, and not pulled by other packages on FC-5
Comment 18 Deji Akingunola 2006-11-06 11:18:08 EST
Spec URL: ftp://czar.eas.yorku.ca/pub/tracker/tracker.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/tracker/tracker-0.5.0-6.src.rpm

With build requires for dbus-devel and dbus-glib
Comment 19 Michel Alexandre Salim 2006-11-06 13:30:46 EST
I added the gnome-utils-devel and openssl-devel BRs, since for some reason they
appeared as options in the configure script. Deji, could you clarify this with
upstream? If they don't actually do anything they should be trimmed out of the
configure script.
Comment 20 Aurelien Bompard 2006-11-06 14:48:33 EST
Needs work:
* Make sure the lines in the %description field are not more than 76 chars long
* Applications/System Tool is not a standard group
* Remove the dot at the end of the summary for the -devel subpackage
* As tracker-devel ships a pkgconfig file (.pc), is should have "Requires:
pkgconfig"
Comment 21 Deji Akingunola 2006-11-06 18:42:54 EST
No quick response yet from upstream on Michel concern about gnome-utils-devel
and openssl-devel BRs; the needs work have all been addressed. I have used
Applications/System for the RPM group as I think that's the closest.
Spec URL: ftp://czar.eas.yorku.ca/pub/tracker/tracker.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/tracker/tracker-0.5.0-7.src.rpm
Comment 22 Deji Akingunola 2006-11-06 21:39:22 EST
Upstream have responded, and that with a new release. GNOME_UTILS that appears
in the configure script is actually meant to be GNOME utilities (specifically
libgnomeui and gtk+) as opposed to the package gnome-utils. Also they've
statically linked in a threadsafe sqlite which builds by default, but also
provided  a configure option --enable-external-sqlite. This option is used for
FC >=6. New spec and src rpms uploaded.
Spec URL: ftp://czar.eas.yorku.ca/pub/tracker/tracker.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/tracker/tracker-0.5.1-1.src.rpm
Comment 23 Aurelien Bompard 2006-11-07 09:00:05 EST
* RPM name is OK
* Source tracker-0.5.1.tar.gz is the same as upstream
* Builds fine in mock
* rpmlints look OK
* File lists look OK
* Works fine


Notes:
 * Please don't use tabs in the headers for -devel (Requires and Summary). Not a
blocker of course.
Comment 24 Deji Akingunola 2006-11-09 10:47:33 EST
Thanks for the reviews. Now that the mikmod issue had been resolved (presently
only on rawhide), I'll go ahead and import it into Extras and make the
correction of not using tabs there.

Note You need to log in before you can comment on or make changes to this bug.